# MechaRaptor - Experimental data analysis

This repository contains the scripts used to parse, clean and analyze the raw
experimental data for the MechaRaptor.

## Data

The data come from three different sources:

1. Wind tunnel itself
    - airspeed
    - atmospheric pressure
    - the temperature
2. Wind tunnel load sensors
    - Measure of forces and moments in three axes
3. Arduino acquisition
    - Measure of wing angles
    - Measure of electrical power (tension and current)
    - Input values

Raw data and details about them can be found in their respective repositories
(loaded as submodules).

## Scripts

The scripts were made in a rush and are currently a bit messy. They will be
reworked properly in the following weeks before the start of a more extensive
wind tunnel testing campaign.


## Important notes

- The first series of tests in 2022 had an issue with the data returned by the
  left aft wing angle sensor. Instead of being encoded in 12-bits, it was
  returned in 16-bits. Therefore the scripts take that into account and
  recalibrated the angles properly.

## License

All scripts used for the date processing of the MechaRaptor experimental data
are provided under the [MIT license](LICENSE).
