function coeff = forcetocoeff(var, dens, speed, chord, span, type)
    % CALCCOEFF Calculate force/moment coefficient
    %   Todo

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    area = chord * span;

    switch type
        case 'force'
            nondim = 1 / 2 * dens * area * speed^2;
        case 'moment'
            nondim = 1 / 2 * dens * area * speed^2 * chord;
    end

    coeff = var / nondim;

end
