function peakLocs = getallpeaks(signal, sampling)
    % GETALLPEAKS Return all the peaks in the signal
    %   Todo

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    % Signal analysis
    freq = getmainfrequency(signal, sampling);

    % Get first and last peaks for wind-off conditions
    [~, peakLocs] = findpeaks(signal, ...
                              'MinPeakProminence', max(signal) / 2, ...
                              'MinPeakDistance', ((1 / freq) * sampling) / 2);

end
