function bounds = getboundingpeaks(signal, sampling)
    % GETANGLESIGNALBOUNDS Return the bounds of the angle signal (correspond to first and last peak)
    %   Todo

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    % Signal analysis
    freq = getmainfrequency(signal, sampling);

    % Get first and last peaks for wind-off conditions
    [~, peakLocs] = findpeaks(signal, ...
                              'MinPeakProminence', max(signal) / 2, ...
                              'MinPeakDistance', ((1 / freq) * sampling) / 2);

    bounds = [peakLocs(1), peakLocs(end)];

end
