function bool = isinteresting(ResData, interestingPlots)
    % ISINTERESTING Return true if a result is listed in the interestingPlots array
    %   Todo

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    % No need to plot when cF = 0
    if ResData.Testcase.airspeed == 0
        bool = false;
        return
    end

    % If no interestingPlots defined, always plot all
    if isempty(interestingPlots)
        bool = true;
        return
    end

    ResParam = [ResData.Testcase.dx, ...
                ResData.Testcase.freq, ...
                ResData.Testcase.airspeed];
    bool = any(ismember(interestingPlots, ResParam, 'rows'));

end
