function save2tikz(filename, tikzFontSize)
    % SAVE2TIKZ Saves the current figure to tikz.
    %   This function defines sane defaults to use for saving figures in Tikz format.
    %   Todo

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    set(gcf, 'PaperPositionMode', 'auto');

    % Tikz options
    if nargin < 2
        tikzFontSize  = '\normalsize';
    end

    extraTikzOptions = [ ...
                        'xlabel style={font=', tikzFontSize, '},'...
                        'ylabel style={font=', tikzFontSize, '},'...
                        'zlabel style={font=', tikzFontSize, '}' ...
                       ];

    matlab2tikz(filename, ...
                'width', '\fwidth', ... % This allows us to edit the width in latex easily
                'extraAxisOptions', extraTikzOptions, ...
                'showinfo', false);
end
