function savemat(idFile, ExpData)
    % SAVEMAT Save synced and clean data to a MAT-file.
    % -----
    % TODO

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    ALWAYS_OVERWRITE = true;

    % Make filename
    [~, file, ~] = fileparts(idFile);
    savedir = strsplit(file, '-');
    savefile = fullfile('data/cleaned_MAT', savedir(1), [file, '.mat']);

    if ~exist(string(savefile), 'file') || ALWAYS_OVERWRITE
        save(string(savefile), 'ExpData');
    end
end
